package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/23.
 */
public class DicResourceOpenType {

    public static final String NOT_OPEN = "不开放";
    public static final String NEED_TO_APPLY = "依申请开放";
    public static final String UNCONDITIONAL = "无条件开放";

    private static DicResourceOpenType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceOpenType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(NOT_OPEN, NOT_OPEN);
        dicMap.put(NEED_TO_APPLY, NEED_TO_APPLY);
        dicMap.put(UNCONDITIONAL, UNCONDITIONAL);
    }

    public static DicResourceOpenType getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceOpenType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
